import request from '@/utils/request'
// 获取区下拉
export function bigDataHcAreaInfo(query) {
    return request({
        url: '/bigData/hc/hcAreaInfo',
        method: 'get',
        params: query
    })
}


// 获取乡镇下拉
export function bigDataHcCountyInfo(query) {
    return request({
        url: '/bigData/hc/hcCountyInfo',
        method: 'get',
        params: query
    })
}

//获取村级下拉
export function bigDataHcVillageInfo(query) {
    return request({
        url: '/bigData/hc/hcVillageInfo',
        method: 'get',
        params: query
    })
}

//底部统计接口  参数 orgCode, type(house或者 land) ,statusList(数组)
export function bigDataHcBottomOverview(query) {
    return request({
        url: '/bigData/hc/hcBottomOverview',
        method: 'get',
        params: query
    })
}

//左上角接口
export function bigDataHcLeftTopOverview(query) {
    return request({
        url: '/bigData/hc/hcLeftTopOverview',
        method: 'get',
        params: query
    })
}

//左边中间接口
export function bigDataHcLeftCenterOverview(query) {
    return request({
        url: '/bigData/hc/hcLeftCenterOverview',
        method: 'get',
        params: query
    })
}

//左下角统计
export function bigDataHcLeftBottomOverview(query) {
    return request({
        url: '/bigData/hc/hcLeftBottomOverview',
        method: 'get',
        params: query
    })
}


//查询接口
export function bigDataHcSearch(query) {
    return request({
        url: '/bigData/hc/search',
        method: 'get',
        params: query
    })
}


//查询农地信息
export function bigDatahHcBottomSearch(query) {
    return request({
        url: '/bigData/hc/hcBottomSearch',
        method: 'get',
        params: query
    })
}

//获取接口地图地址
export function currentLocation(query) {
    return request({
        url: '/bigData/common/currentLocation',
        method: 'get',
        params: query
    })
}


//合作社名录
export function societyList(query) {
    return request({
        url: '/bigData/society/list',
        method: 'get',
        params: query
    })
}

//财务进度
export function financialProgress(query) {
    return request({
        url: '/bigData/society/financialProgress',
        method: 'get',
        params: query
    })
}

//合作社数量
export function societyCounts(query) {
    return request({
        url: '/bigData/society/societyCounts',
        method: 'get',
        params: query
    })
}
